Changes between Version 9 and Version 12 of Ticket #24152


Ignore:
Timestamp:
03/24/18 23:21:36 (4 years ago)
Author:
mkoeppe
Comment:

New commits:

a924632polymake SPKG.txt: Mention File::Slurp and CPAN

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #24152

    • Property Status changed from new to needs_review
    • Property Authors changed from to Matthias Koeppe
    • Property Cc jipilab added
    • Property Branch changed from to u/mkoeppe/bug_when_converting_a_sage_polyhedron_into_polymake_pexpect
    • Property Milestone changed from sage-8.1 to sage-8.2
    • Property Commit changed from to a9246328ef3f80bca645020f871cfc0835fb605c
  • Ticket #24152 – Description

    v9 v12  
    11Conversion of a Sage polyhedron into Polymake fails in the first attempt, but succeeds in the second attempt. I've put the example into the first comment rather than in the ticket description.
    22
    3 As it turns out (see comments), the problem can be prevented by installing the slurp module into perl5. However, I think an interface to polymake shouldn't have more perl dependencies than polymake itself. Moreover, it may not be immediately clear to all users (e.g, to me) how to install slurp, and why slurp-for-perl6 won't be good enough.
     3The fix is to install the `File::Slurp module` into perl5. This ticket updates the information about prerequisites (and how to install them) in `build/pkg/polymake/SPKG.txt`.